<!DOCTYPE html>
<html lang="en">

<head>
    <title>Task 42</title>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- font -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.3/jquery.min.js"
        integrity="sha512-STof4xm1wgkfm7heWqFJVn58Hm3EtS31XFaagaa8VMReCXAkQnJZ+jEy8PCC/iT18dFy95WcExNHFTqLyp72eQ=="
        crossorigin="anonymous" referrerpolicy="no-referrer"></script>

    <!-- Bootstrap -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <style>
.hinhAnh{
    height: 760px!important;
}
@media only screen and (max-width: 480px){
    #carouselExampleIndicators{
    width: 50% !important;
    }

}
    </style>
</head>

<body>
    <!-- Thanh Navbar -->
    <div class="container-fluid bg-light">
        <div class="row">
            <div class="col-sm-12">
                <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-light">
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
                        aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                        <span class="navbar-toggler-icon"></span>
                    </button>
                    <div class="collapse navbar-collapse bg-warning" id="navbarNav">
                        <ul class="navbar-nav nav-fill w-100">
                            <li class="nav-item active">
                                <a class="nav-link" href="#">Trang Chủ</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="#plans">Combo</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="#about">Loại Pizza</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="#contact">Gửi Đơn hàng</a>
                            </li>
                        </ul>
                    </div>
                </nav>
            </div>
        </div>
    </div>
    <!-- Content -->
    <div class="container" style="padding: 120px 0 50px 0">
        <div class="row">
            <div class="col-sm-12">
                <div class="row">
                    <!-- Title row home -->
                    <div class="col-sm-12 text-warning">
                        <h1><b>Pizza 365</b></h1>
                        <p class="text-warning" style="font-style: italic">Truly italian!</p>
                    </div>

                    <!-- Slide row home -->
                    <div class="col-sm-12">
                        <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
                            <ol class="carousel-indicators">
                                <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
                                <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
                                <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
                                <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
                                <li data-target="#carouselExampleIndicators" data-slide-to="4"></li>
                            </ol>
                            <div class="carousel-inner">
                                <div class="carousel-item active">
                                    <img class="d-block w-100 " src="Images/1.jpg" alt="First slide"  />
                                </div>
                                <div class="carousel-item">
                                    <img class="d-block w-100 " src="Images/2.jpg" alt="Second slide" />
                                </div>
                                <div class="carousel-item">
                                    <img class="d-block w-100 " src="Images/3.jpg" alt="Third slide" />
                                </div>
                                <div class="carousel-item">
                                    <img class="d-block w-100 " src="Images/4.jpg" alt="Four slide" />
                                </div>
                                <div class="carousel-item">
                                    <img class="d-block w-100  " src="Images/feature-saladbar.jpg" alt="Five slide" />
                                </div>
                            </div>
                            <a class="carousel-control-prev  " href="#carouselExampleIndicators" role="button"
                                data-slide="prev">
                                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                                <span class="sr-only">Previous</span>
                            </a>
                            <a class="carousel-control-next" href="#carouselExampleIndicators" role="button"
                                data-slide="next">
                                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                                <span class="sr-only">Next</span>
                            </a>
                        </div>
                    </div>

                    <!-- Title what we offer -->
                    <div class="col-sm-12 text-center p-4 mt-4">
                        <h2><b class="p-2 border-bottom text-warning">Tại sao lại Pizza 365</b></h2>
                    </div>

                    <!-- Content what we offer -->
                    <div class="col-sm-12">
                        <div class="row">
                            <div class="col-sm-3 p-4  border" style="background-color: lightgoldenrodyellow;">
                                <h3 class="p-2">Đa dạng</h3>
                                <p class="p-2">Số lượng pizza đa dạng. có đầy đủ các loại pizza đang hot nhất hiện nay.
                                </p>
                            </div>
                            <div class="col-sm-3 p-4  border" style="background-color: yellow;">
                                <h3 class="p-2">Chất lượng</h3>
                                <p class="p-2">Nguyên liệu sạch 100% rõ nguồn góc,quy trình chết biến được đảm bảo vệ
                                    sinh an toàn thực phẩm
                                </p>
                            </div>
                            <div class="col-sm-3 p-4  border" style="background-color: lightsalmon;">
                                <h3 class="p-2">Hương vị</h3>
                                <p class="p-2">Đảm bảo hương vị ngon, độc lạ mà bạn chỉ có thể trải nghiệm từ Pizza 365.
                                </p>
                            </div>
                            <div class="col-sm-3 p-4   border" style="background-color: orange;">
                                <h3 class="p-2">Dịch Vụ</h3>
                                <p class="p-2">Nhân viên thân thiện, nhà hàng hiện đại. Dịch vụ giao hàng nhanh chất
                                    lượng. tân tiến</p>
                            </div>
                        </div>
                    </div>
                </div>

                <div id="plans" class="row">
                    <!-- Title what we offer -->
                    <div class="col-sm-12 text-center p-4 mt-4">
                        <h2><b class="p-1 border-bottom text-warning">Menu combo Pizza 365</b></h2>
                        <p><span class="p-2 text-warning">Hãy chọn combo phù hợp với bạn</span></p>
                    </div>
                    <!-- Content what we offer -->
                    <div class="col-sm-12" >
                        <div class="row" id="show-info-pizza">
                            <!-- <div class="col-sm-4">
                                <div class="card">
                                    <div class="card-header bg-warning  text-center">
                                        <h3>S ( Small size)</h3>
                                    </div>
                                    <div class="card-body text-center">
                                        <ul class="list-group list-group-flush">
                                            <li class="list-group-item">
                                                Đường kính <b> 20 cm</b>
                                            </li>
                                            <li class="list-group-item">Sườn nướng <b>2</b></li>
                                            <li class="list-group-item">Salad <b>200 gr</b></li>
                                            <li class="list-group-item">Nước ngọt <b>2</b></li>
                                            <li class="list-group-item">
                                                <h1>VND <b>150.000</b></h1>
                                            </li>
                                        </ul>
                                    </div>
                                    <div class="card-footer text-center">
                                        <button class="btn btn-warning w-100" id="btn-small" data-is-selected-menu="N">
                                            Chọn
                                        </button>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-4">
                                <div class="card">
                                    <div class="card-header  text-center" style="background-color: orange">
                                        <h3>M (Medium size)</h3>
                                    </div>
                                    <div class="card-body text-center">
                                        <ul class="list-group list-group-flush">
                                            <li class="list-group-item">
                                                Đường kính <b> 25 cm</b>
                                            </li>
                                            <li class="list-group-item">Sườn nướng <b>4</b></li>
                                            <li class="list-group-item">Salad <b> 300 gr</b></li>
                                            <li class="list-group-item">Nước ngọt <b>3</b></li>
                                            <li class="list-group-item">
                                                <h1>VND <b>200.000</b></h1>
                                            </li>
                                        </ul>
                                    </div>
                                    <div class="card-footer text-center">
                                        <button class="btn btn-warning w-100" id="btn-medium" data-is-selected-menu="N">
                                            Chọn
                                        </button>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-4">
                                <div class="card">
                                    <div class="card-header bg-warning text-center">
                                        <h3>L ( Large size )</h3>
                                    </div>
                                    <div class="card-body text-center">
                                        <ul class="list-group list-group-flush">
                                            <li class="list-group-item">
                                                Đường kính <b> 30 cm</b>
                                            </li>
                                            <li class="list-group-item">Sườn nướng <b>8</b></li>
                                            <li class="list-group-item">Salad <b> 500 gr</b></li>
                                            <li class="list-group-item">Nước ngọt <b>4</b></li>
                                            <li class="list-group-item">
                                                <h1>VND <b>250.000</b></h1>
                                            </li>
                                        </ul>
                                    </div>
                                    <div class="card-footer text-center">
                                        <button class="btn btn-warning w-100" id="btn-large" data-is-selected-menu="N">
                                            Chọn
                                        </button>
                                    </div>
                                </div>
                            </div> -->
                        </div>
                    </div>
                </div>

                <div id="about" class="row">
                    <!-- Title Who We Are -->
                    <div class="col-sm-12 text-center p-4 mt-4">
                        <h2><b class="p-2 border-bottom text-warning">Chọn loại pizza</b></h2>
                    </div>

                    <!-- Content Who We Are -->
                    <div class="col-sm-12">
                        <div class="row">
                            <div class="col-sm-4">
                                <div class="card w-100" style="width: 18rem">
                                    <img src="Images/seafood.jpg" class="card-img-top" />
                                    <div class="card-body">
                                        <h4>OCENA MANIA</h4>
                                        <p>PIZZA HẢI SẢN XỐT MAYONNAISE</p>
                                        <p>
                                            Xốt Cà Chua, Phô Mai Mozzarella, Tôm Mực, Thanh Cua, Hành Tây.
                                        </p>
                                        <p>
                                            <button class="btn btn-warning w-100" id="btn-pizza-hai-san"
                                                data-is-selected-pizza="N">
                                                Chọn
                                            </button>
                                        </p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-4">
                                <div class="card w-100" style="width: 18rem">
                                    <img src="Images/hawaiian.jpg" class="card-img-top" />
                                    <div class="card-body">
                                        <h4>HAWAIIAN</h4>
                                        <p>PIZZA DĂM BÔNG DỪA KIỂU HAWAII</p>
                                        <p>
                                            Xốt Cà Chua,Phô Mai Mozzarella, Thịt Dăm Bông, Thơm.
                                        </p>
                                        <p>
                                            <button class="btn btn-warning w-100" id="btn-pizza-hawaii"
                                                data-is-selected-pizza="N">
                                                Chọn
                                            </button>
                                        </p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-4">
                                <div class="card w-100" style="width: 18rem">
                                    <img src="Images/bacon.jpg" class="card-img-top" />
                                    <div class="card-body">
                                        <h4>CHEESY CHICKEN BACON</h4>
                                        <p>PIZZA GÀ PHÔ MAI THỊT HEO XÔNG KHÓI</p>
                                        <p>
                                            Xốt Phô Mai, Thịt Gà, Thịt Heo Muối, Phô Mai Mozzarella, Cà Chua
                                        </p>
                                        <p>
                                            <button class="btn btn-warning w-100" id="btn-pizza-bacon"
                                                data-is-selected-pizza="N">
                                                Chọn
                                            </button>
                                        </p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- ĐỒ UỐNG-->
                <div class="col-sm-12 text-center p-4 mt-4">
                    <h2><b class="p-2 border-bottom text-warning">Chọn đồ uống</b></h2>
                </div>
                <div class="col-sm-12">
                    <select id="select-do-uong" class="form-control">
                        <option value="0">-- Chọn đồ uống --</option>
                    </select>
                </div>


                <div id="contact" class="row">
                    <!-- Title Contact Us -->
                    <div class="col-sm-12 text-center p-4 mt-4">
                        <h2><b class="p-2 border-bottom text-warning">Thông tin đơn hàng</b></h2>
                    </div>

                    <!-- Content Contact Us -->
                    <div class="col-sm-12 p-2 jumbotron">
                        <div class="row">
                            <div class="col-sm-12">
                                <div class="form-group">
                                    <label for="inp-name">Họ và tên</label>
                                    <input type="text" class="form-control" id="inp-name" placeholder="Họ và tên" />
                                </div>
                                <div class="form-group">
                                    <label for="email">Email</label>
                                    <input type="text" class="form-control" id="inp-email" placeholder="Email" />
                                </div>
                                <div class="form-group">
                                    <label for="inp-phone">Điện thoại</label>
                                    <input type="text" class="form-control" id="inp-phone" placeholder="Điện thoại" />
                                </div>
                                <div class="form-group">
                                    <label for="inp-address">Địa chỉ</label>
                                    <input type="text" class="form-control" id="inp-address" placeholder="Địa chỉ" />
                                </div>
                                <div class="form-group">
                                    <label for="message">Lời nhắn</label>
                                    <input type="text" class="form-control" id="inp-message" placeholder="Lời nhắn" />
                                </div>
                                <div class="form-group">
                                    <label for="inp-voucher">Mã giảm giá ( Voucher ID)</label>
                                    <input type="text" class="form-control" id="inp-voucher"
                                        placeholder="Mã voucher..." />
                                </div>
                                <button type="button" class="btn btn-warning w-100" id="btn-makeOder">
                                    Gửi
                                </button>

                            </div>
                        </div>
                    </div>
                    <!-- vùng hiển thị thông tin đơn hàng(order) -->
                    <div id="div-container-order" class="container bg-info p-2 jumbotron" style="display: none">
                        <div id="div-order-infor" class="text-white p-3">...</div>
                        <div class="p-2">
                            <button type="button" class="btn btn-warning w-100">
                                Gửi đơn
                            </button>
                        </div>
                    </div>


                </div>
            </div>
        </div>
    </div>
    <!-- Footer -->
    <div class="container-fluid bg-warning p-5">
        <div class="row text-center">
            <div class="col-sm-12">
                <h4 class="m-2">Footer</h4>
                <a href="#" class="btn btn-dark m-3"><i class="fa fa-arrow-up"></i>To the top</a>
                <div class="m-2">
                    <i class="fa fa-facebook-official w3-hover-opacity"></i>
                    <i class="fa fa-instagram w3-hover-opacity"></i>
                    <i class="fa fa-snapchat w3-hover-opacity"></i>
                    <i class="fa fa-pinterest-p w3-hover-opacity"></i>
                    <i class="fa fa-twitter w3-hover-opacity"></i>
                    <i class="fa fa-linkedin w3-hover-opacity"></i>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal hien thi cam on -->
    <div>
        <div id="modal-thanks" class="modal fade" tabindex="-1">
            <div class="modal-dialog modal-lg">
                <div class="modal-content bg-warning">
                    <div class="modal-header">
                        <h4 class="modal-title">Cảm ơn bạn đã đặt hàng tại Pizza 365. Mã đơn hàng của
                            bạn là:</h4>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">&times;</button>
                    </div>
                    <div class="modal-body">
                        <label>Mã đơn hàng: </label>
                        <input id="div-orderCode-infor" class="p-1"></input>
                    </div>
                    <div class="modal-footer">
                    </div>
                </div>
            </div>
        </div>
    </div>


   
    <!-- modal hiện thông tin đơn hàng -->
    <div>
        <div id="order-modal" class="modal fade" tabindex="-1">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="h5-modal-title">Thông tin đơn hàng</h5>
                        <button class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body">
                        <form>
                            <div class="row form-group">
                                <div class="col-sm-4">
                                    <label for="inp-modal-name">Họ và tên</label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="text" id="inp-modal-name" placeholder="Họ và tên" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-sm-4">
                                    <label for="inp-modal-phone-number">Số điện thoại</label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="text" id="inp-modal-phone-number" placeholder="Số điện thoại"
                                        class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-sm-4">
                                    <label for="inp-modal-dia-chi">Địa chỉ</label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="text" id="inp-modal-dia-chi" placeholder="Địa chỉ"
                                        class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-sm-4">
                                    <label for="inp-modal-message">Lời nhắn</label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="text" id="inp-modal-message" placeholder=" Lời nhắn"
                                        class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-sm-4">
                                    <label for="inp-modal-ma-giam-gia">Mã giảm giá</label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="text" id="inp-modal-ma-giam-gia" placeholder="Mã giảm giá"
                                        class="form-control">
                                </div>
                            </div>

                            <div class="row form-group">
                                <div class="col-sm-4">
                                    <label for="inp-modal-thong-tin">Thông tin chi tiết</label>
                                </div>
                                <div class="col-sm-8">
                                    <textarea id="inp-modal-thong-tin" class="form-control"></textarea>
                                </div>
                            </div>
                        </form>
                    </div>
                    <div class="modal-footer">
                        <button class="btn btn-danger" id="btn-quay-lai" data-dismiss="modal"> Quay lại</button>
                        <button class="btn btn-warning" id="btn-tao-don">Tạo đơn</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
<script>
    // các combo Pizza
    const gCOMBO_SMALL = "Small";
    const gCOMBO_MEDIUM = "Medium";
    const gCOMBO_LARGE = "Large";

    // các loại pizza
    const gPIZZA_TYPE_HAWAI = "Hawai";
    const gPIZZA_TYPE_HAI_SAN = "Seafood";
    const gPIZZA_TYPE_BACON = "Bacon";
    // URL 
    const gBASE_URL_Drink = "http://203.171.20.210:8080/devcamp-pizza365/drinks";
    const gBASE_URL_VOUCHER = "http://203.171.20.210:8080/devcamp-pizza365/voucher_detail/";

    const gREQUEST_CREATE_SUCCESS = 201;
    const gREQUEST_STATUS_OK = 200; // GET & PUT success
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
    const gBASE_URL_CreatOrder = "http://203.171.20.210:8080/devcamp-pizza365/orders";
    var gArrDataPrizza = [
        {
            size: "S ( Small size)",
            duongKinh: 20,
            suongNuong: 2,
            salad: 200,
            nuocNgot: 2,
            giaTien: 150000
        },
        {
            size: "M (Medium size)",
            duongKinh: 25,
            suongNuong: 4,
            salad: 300,
            nuocNgot: 3,
            giaTien: 200000
        },
        {
            size: "L ( Large size )",
            duongKinh: 30,
            suongNuong: 8,
            salad: 500,
            nuocNgot: 4,
            giaTien: 250000
        },
    ]


    $(document).ready(function () {


    })
    var gShowInfoDataPizza = document.getElementById('show-info-pizza');

    gArrDataPrizza.forEach(element => {
        var viTem = `
        <div class="col-sm-4">
                                <div class="card">
                                    <div class="card-header bg-warning  text-center">
                                        <h3>${element.size}</h3>
                                    </div>
                                    <div class="card-body text-center">
                                        <ul class="list-group list-group-flush">
                                            <li class="list-group-item">
                                                Đường kính <b> ${element.duongKinh} cm</b>
                                            </li>
                                            <li class="list-group-item">Sườn nướng <b>${element.suongNuong}</b></li>
                                            <li class="list-group-item">Salad <b>${element.salad} gr</b></li>
                                            <li class="list-group-item">Nước ngọt <b>${element.nuocNgot}</b></li>
                                            <li class="list-group-item">
                                                <h1>VND <b>${element.giaTien}</b></h1>
                                            </li>
                                        </ul>
                                    </div>
                                    <div class="card-footer text-center">
                                        <button class="btn btn-warning w-100" id="${element.duongKinh == 20 ? 'btn-small' : (element.duongKinh == 25 ? 'btn-medium' : 'btn-large')}" data-is-selected-menu="N">
                                            Chọn
                                        </button>
                                    </div>
                                </div>
                            </div>
    `
    gShowInfoDataPizza.innerHTML += viTem
    });
    
    // vúng 2 gọi hàm
    //  Những hàm nút nhất

    // hàm nút combo small
    $("#btn-small").on("click", function () {
        // hàm xử lý khi nhấn nút COMBO SMALL
        changeComboButtonColor(gCOMBO_SMALL);
        //tạo một đối tượng menu, được tham số hóa
        var vSelectedMenuStructure = getComboSelected("S", 20, 2, 200, 2, 150000);
        // gọi method hiển thị thông tin
        vSelectedMenuStructure.displayInConsoleLog();
    });

    // hàm nút combo medium
    $("#btn-medium").on("click", function () {
        // hàm xử lý khi nhấn nút COMBO SMALL
        changeComboButtonColor(gCOMBO_MEDIUM);
        //tạo một đối tượng menu, được tham số hóa
        var vSelectedMenuStructure = getComboSelected("M", 25, 4, 300, 3, 200000);
        // gọi method hiển thị thông tin
        vSelectedMenuStructure.displayInConsoleLog();
    });
    // hàm nút combo large
    $("#btn-large").on("click", function () {
        // hàm xử lý khi nhấn nút COMBO SMALL
        changeComboButtonColor(gCOMBO_LARGE);
        //tạo một đối tượng menu, được tham số hóa
        var vSelectedMenuStructure = getComboSelected("L", 30, 8, 500, 4, 250000);
        // gọi method hiển thị thông tin
        vSelectedMenuStructure.displayInConsoleLog();

    });

    // hàm nút chọn  loại pizza
    $("#btn-pizza-hai-san").on("click", function () {
        // hàm xử lý khi nhấn nút PIZZA HAWAII
        changeTypeButtonColor(gPIZZA_TYPE_HAI_SAN);
        console.log("Loại Pizza đã chọn : " + gPIZZA_TYPE_HAI_SAN);

    });

    $("#btn-pizza-hawaii").on("click", function () {
        // hàm xử lý khi nhấn nút PIZZA HAWAII
        changeTypeButtonColor(gPIZZA_TYPE_HAWAI);
        console.log("Loại Pizza đã chọn : " + gPIZZA_TYPE_HAWAI);
    });
    $("#btn-pizza-bacon").on("click", function () {
        // hàm xử lý khi nhấn nút PIZZA HAWAII
        changeTypeButtonColor(gPIZZA_TYPE_BACON);
        console.log("Loại Pizza đã chọn : " + gPIZZA_TYPE_BACON);
    });


    // ----------------------------------------------------------- NÚT GỞI ĐƠN-----------------------------------------------------------
    $("#btn-makeOder").on("click", function () {
        console.log(" Nút gởi vừa được nhấn!");
        var vOrder = getOrder();
        var vValidate = checkValidatedForm(vOrder);
        if (vValidate) {
            console.log(vOrder);
            detailModal(vOrder);
            $("#order-modal").modal("show");
        }
    })

    // ---------------------------------------------------- Nút tạo đơn ------------------------------------------------
    $("#btn-tao-don").on("click", function () {
        var vOrder = getOrder();
        createOrder(vOrder);
    })
    // hàm khi load trang
    onPageLoading();
    // vùng 3 : xử lý hàm
    // hàm xử lý sự kiện khi load trang
    function onPageLoading() {
        getDrinkList();
    }
    // hàm thu thập(đọc) thông tin khách hàng
    function getOrder() {

        var vMenuSmallDaChon = $("#btn-small").attr("data-is-selected-menu");// truy vấn nút chọn kích cỡ small
        var vMenuMediumDaChon = $("#btn-medium").attr("data-is-selected-menu");
        var vMenuLargeDaChon = $("#btn-large").attr("data-is-selected-menu");
        var vSelectedMenuStructure = getComboSelected("", 0, 0, 0, 0, 0);
        if (vMenuSmallDaChon === "Y") {
            vSelectedMenuStructure = getComboSelected("S", 20, 2, 200, 2, 150000);
        }
        else if (vMenuMediumDaChon === "Y") {
            vSelectedMenuStructure = getComboSelected("M", 25, 4, 300, 3, 200000);
        }
        else if (vMenuLargeDaChon === "Y") {
            vSelectedMenuStructure = getComboSelected("L", 30, 8, 500, 4, 250000);
        }

        var vPizzaHawaiChon = $("#btn-pizza-hawaii").attr("data-is-selected-pizza");

        var vPizzaHaiSanDaChon = $("#btn-pizza-hai-san").attr("data-is-selected-pizza");

        var vPizzaBaconDaChon = $("#btn-pizza-bacon").attr("data-is-selected-pizza");
        var vLoaiPizza = "";
        if (vPizzaHawaiChon === "Y") {
            vLoaiPizza = gPIZZA_TYPE_HAWAI;
        }
        else if (vPizzaHaiSanDaChon === "Y") {
            vLoaiPizza = gPIZZA_TYPE_HAI_SAN;
        }
        else if (vPizzaBaconDaChon === "Y") {
            vLoaiPizza = gPIZZA_TYPE_BACON;
        }
        var vValueDrinks = $("#select-do-uong").val();
        var vValueInputName = $("#inp-name").val();
        var vValueInputEmail = $("#inp-email").val();
        var vValueInputPhone = $("#inp-phone").val();
        var vValueInputAddress = $("#inp-address").val();
        var vValueInputMessage = $("#inp-message").val();
        var vValueInputVoucherID = $("#inp-voucher").val();
        var vPercent = 0;
        // goi ham tinh phan tram
        var vVoucherObj = getVoucherByAPI(vValueInputVoucherID);
        if (vValueInputVoucherID != "" && vVoucherObj != null) {
            vPercent = vVoucherObj.phanTramGiamGia;
        }
        var vOrderInfo = {
            menuCombo: vSelectedMenuStructure,
            loaiPizza: vLoaiPizza,
            hoVaTen: vValueInputName,
            email: vValueInputEmail,
            dienThoai: vValueInputPhone,
            diaChi: vValueInputAddress,
            loiNhan: vValueInputMessage,
            voucher: vValueInputVoucherID,
            phanTramGiamGia: vPercent,
            loaiDoUong: vValueDrinks,
            priceAnnualVND: function () {
                var vTotal = this.menuCombo.priceVND * (1 - vPercent / 100);
                return vTotal;
            }
        };
        return vOrderInfo;
    }
    // ham kiem tra thong tin dat hang

    function checkValidatedForm(paramOrder) {
        if (paramOrder.menuCombo.menuName === "") {
            alert("Chọn combo pizza...");
            return false;
        }
        if (paramOrder.loaiPizza === "") {
            alert("Chọn loại pizza...");
            return false;
        }
        if (paramOrder.loaiDoUong == 0) {
            alert("Chọn loại đồ uống...");
            return false;
        }
        if (paramOrder.hoVaTen === "") {
            alert("Nhập họ và tên");
            return false;
        }
        if (isEmail(paramOrder.email) == false) {
            return false;
        }

        if (paramOrder.dienThoai === "") {
            alert("Nhập vào số điện thoại...");
            return false;
        }

        if (isNaN(paramOrder.dienThoai)) {
            alert("số điện thoại phải là số...");
            return false;
        }

        if (paramOrder.diaChi === "") {
            alert("Địa chỉ không để trống...");
            return false;
        }
        return true;
    }

    // hàm truyền dự liệu  Drinks
    function truyenDrinksVaoTrang(paramDrinks) {
        var vJsonDrinksObj = paramDrinks;

        for (var i = 0; i < vJsonDrinksObj.length; i++) {
            var bDrinksOptionElement = document.createElement("option")
            bDrinksOptionElement.value = vJsonDrinksObj[i].maNuocUong;
            bDrinksOptionElement.text = vJsonDrinksObj[i].tenNuocUong;
            $("#select-do-uong").append(bDrinksOptionElement);
        }
    }
    // hàm đổi mầu nút khi chọn combo
    function changeComboButtonColor(paramPlan) {
        var vBtnBasic = $("#btn-small"); // truy vấn nút chọn kích cỡ small
        var vBtnMedium = $("#btn-medium"); //truy vấn nút chọn kích cỡ medium
        var vBtnLarge = $("#btn-large"); //truy vấn nút chọn kích cỡ large

        if (paramPlan === gCOMBO_SMALL) {
            //nếu chọn menu Small thì thay màu nút chọn kích cỡ small bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
            // đổi giá trị data-is-selected-menu
            vBtnBasic.removeClass("btn-warning").addClass("btn-success w-100");
            vBtnBasic.attr("data-is-selected-menu", "Y");
            vBtnMedium.addClass("btn btn-warning");
            vBtnMedium.attr("data-is-selected-menu", "N");
            vBtnLarge.addClass("btn btn-warning");
            vBtnLarge.attr("data-is-selected-menu", "N");

        } else if (paramPlan === gCOMBO_MEDIUM) {
            //nếu chọn menu Medium thì thay màu nút chọn kích cỡ Medium bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
            // đổi giá trị data-is-selected-menu
            vBtnBasic.addClass("btn btn-warning");
            vBtnBasic.attr("data-is-selected-menu", "N");
            vBtnMedium.removeClass("btn-warning").addClass("btn-success w-100");
            vBtnMedium.attr("data-is-selected-menu", "Y");
            vBtnLarge.addClass("btn btn-warning");
            vBtnLarge.attr("data-is-selected-menu", "N");
        } else if (paramPlan === gCOMBO_LARGE) {
            //nếu chọn menu Large thì thay màu nút chọn kích cỡ Large bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
            // đổi giá trị data-is-selected-menu
            vBtnBasic.addClass("btn btn-warning");
            vBtnBasic.attr("data-is-selected-menu", "N");
            vBtnMedium.addClass("btn btn-warning");
            vBtnMedium.attr("data-is-selected-menu", "N");
            vBtnLarge.removeClass("btn-warning").addClass("btn-success w-100");
            vBtnLarge.attr("data-is-selected-menu", "Y");
        }
    }
    // hàm đổi mầu nút khi chọn loại pizza
    function changeTypeButtonColor(paramType) {
        var vBtnHaiSan = $("#btn-pizza-hai-san"); //truy vấn nút chọn loại pizza hải sản
        var vBtnHawai = $("#btn-pizza-hawaii"); // truy vấn nút chọn loại pizza gà
        var vBtnBacon = $("#btn-pizza-bacon"); //truy vấn nút chọn loại pizza bacon

        if (paramType === gPIZZA_TYPE_HAWAI) {
            //nếu chọn loại pizza Gà thì thay màu nút chọn loại pizza gà bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
            // đổi giá trị data-is-selected-pizza
            vBtnHawai.removeClass("btn btn-warning").addClass("btn btn-success w-100");
            vBtnHawai.attr("data-is-selected-pizza", "Y");
            vBtnHaiSan.addClass("btn btn-warning w-100");
            vBtnHaiSan.attr("data-is-selected-pizza", "N");
            vBtnBacon.addClass("btn btn-warning w-100");
            vBtnBacon.attr("data-is-selected-pizza", "N");
        } else if (paramType === gPIZZA_TYPE_HAI_SAN) {
            //nếu chọn loại pizza Hải sản thì thay màu nút chọn loại pizza Hải sản bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
            // đổi giá trị data-is-selected-pizza
            vBtnHawai.addClass("btn btn-warning w-100");
            vBtnHawai.attr("data-is-selected-pizza", "N");
            vBtnHaiSan.removeClass("btn btn-warning").addClass("btn btn-success w-100");
            vBtnHaiSan.attr("data-is-selected-pizza", "Y");
            vBtnBacon.addClass("btn btn-warning w-100");
            vBtnBacon.attr("data-is-selected-pizza", "N");
        } else if (paramType === gPIZZA_TYPE_BACON) {
            //nếu chọn loại pizza Bacon thì thay màu nút chọn loại pizza Bacon bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
            // đổi giá trị data-is-selected-pizza
            vBtnHawai.addClass("btn btn-warning w-100");
            vBtnHawai.attr("data-is-selected-pizza", "N");
            vBtnHaiSan.addClass("btn btn-warning w-100");
            vBtnHaiSan.attr("data-is-selected-pizza", "N");
            vBtnBacon.removeClass("btn btn-warning").addClass("btn btn-success w-100");
            vBtnBacon.attr("data-is-selected-pizza", "Y");
        }
    }
    // vùng 4 hàm dùng chung
    // hàm gọi APi lấy danh sách nước uống
    function getDrinkList() {
        $.ajax({
            url: gBASE_URL_Drink,
            type: 'GET',
            dataType: 'json', // added data type
            success: function (responseObject) {
                truyenDrinksVaoTrang(responseObject);

            },
            error: function (ajaxContext) {
                alert(ajaxContext.responseText)
            }
        });
    }
    //function trả lại một đối tượng combo (menu được chọn) được tham số hóa
    function getComboSelected(
        paramMenuName,
        paramDuongKinhCM,
        paramSuongNuong,
        paramSaladGr,
        paramDrink,
        paramPriceVND
    ) {
        var vSelectedMenu = {
            menuName: paramMenuName, // S, M, L
            duongKinhCM: paramDuongKinhCM,
            suongNuong: paramSuongNuong,
            saladGr: paramSaladGr,
            drink: paramDrink,
            priceVND: paramPriceVND,
            displayInConsoleLog() {
                console.log("%cPLAN MENU COMBO - .........", "color:blue");
                console.log(this.menuName); //this = "đối tượng này"
                console.log("duongKinhCM: " + this.duongKinhCM);
                console.log("suongNuong: " + this.suongNuong);
                console.log("saladGr: " + this.saladGr);
                console.log("drink:" + this.drink);
                console.log("priceVND: " + this.priceVND);
            },
        };
        return vSelectedMenu;
    }

    // lấy voucher từ API
    function getVoucherByAPI(paramVoucher) {
        var vVoucherResponse = {};


        if (paramVoucher != null && paramVoucher != '') {
            $.ajax({
                url: gBASE_URL_VOUCHER + paramVoucher,
                async: false,
                type: 'GET',
                dataType: 'json', // added data type
                success: function (responseObject) {
                    vVoucherResponse = responseObject;
                    console.log(vVoucherResponse)

                },
                error: function (ajaxContext) {
                    console.log(ajaxContext.responseText)
                }
            });
            return vVoucherResponse;
        }
    }
    //hàm kiểm tra email
    function isEmail(paramEmail) {
        if (paramEmail < 3) {
            alert("Nhập email...");
            return false;
        }
        if (paramEmail.indexOf("@") === -1) {
            alert("Email phải có ký tự @");
            return false;
        }
        if (paramEmail.startsWith("@") === true) {
            alert("Email không bắt đầu bằng @");
            return false;
        }
        if (paramEmail.endsWith("@") === true) {
            alert("Email kết thúc bằng @");
            return false;
        }
        return true;
    }
    // hàm xử lý sự kiện của MODAL
    function detailModal(paramDetail) {
        $("#inp-modal-name").val($("#inp-name").val());
        $("#inp-modal-phone-number").val($("#inp-phone").val());
        $("#inp-modal-dia-chi").val($("#inp-address").val());
        $("#inp-modal-message").val($("#inp-message").val());
        $("#inp-modal-ma-giam-gia").val($("#inp-voucher").val());
        $("#inp-modal-thong-tin").val(
            "Xác nhận: " + $("#inp-name").val() + ", " + $("#inp-phone").val() + "," + $("#inp-address").val() + ", "
            +
            "Menu: " + paramDetail.menuCombo.menuName + ", " + "sườn nướng: " + paramDetail.menuCombo.suongNuong + ", " +
            "Salad : " + paramDetail.menuCombo.saladGr + ", " +
            "Nước Ngọt : " + paramDetail.menuCombo.drink + ", " +
            "Loại pizza : " + paramDetail.loaiPizza + ", " + "Gía: " + paramDetail.menuCombo.priceVND + ", " + "Mã voucher : " + paramDetail.voucher + ", " +
            "Phải thanh toán vnd: " + paramDetail.priceAnnualVND(),

        )
    };

    // hàm tạo order
    function createOrder(paramOrder) {
        "use strict";
        // khai báo object order để chứa thông tin đặt hàng với 14 thuộc tính
        var vObjectRequest = {
            kichCo: paramOrder.menuCombo.menuName,
            duongKinh: paramOrder.menuCombo.duongKinhCM,
            suon: paramOrder.menuCombo.suongNuong,
            salad: paramOrder.menuCombo.saladGr,
            loaiPizza: paramOrder.loaiPizza,
            idVourcher: paramOrder.voucher,
            idLoaiNuocUong: paramOrder.loaiDoUong,
            soLuongNuoc: paramOrder.menuCombo.drink,
            hoTen: paramOrder.hoVaTen,
            thanhTien: paramOrder.menuCombo.priceVND,
            email: paramOrder.email,
            soDienThoai: paramOrder.dienThoai,
            diaChi: paramOrder.diaChi,
            loiNhan: paramOrder.loiNhan,
        }

        $.ajax({
            url: gBASE_URL_CreatOrder,
            type: 'POST',
            dataType: 'json', // added data type
            contentType: 'application/json',
            data: JSON.stringify(vObjectRequest),
            success: function (ajaxContext) {
                createOrderSuccess(ajaxContext);
            },
            error: function (ajaxContext) {
                alert(ajaxContext.responseText)
            }
        });
    }

    // hàm xử lý khi tạo đơn hàng thành cộng
    function createOrderSuccess(param) {
        $("#order-modal").modal("hide");
        $("#div-orderCode-infor").val(param.orderCode);
        $("#modal-thanks").modal("show");
       
    };

</script>

</html>